import request from "@/request/index";
  
export function GetQygk() {
  return request({
      url: '/DigitalTwin/businessManage/getUnit',
      method: "post",
  })
}

export function GetYxdt() {
  return request({
      url: '/DigitalTwin/businessManage/GetTodayDeclareBoatCount',
      method: "post",
  })
}

export function GetZysb() {
  return request({
      url: '/DigitalTwin/businessManage/GetTodayDeclareStatistic',
      method: "post",
  })
}

export function GetZxjc(isFinish,size,index) {
  return request({
      url: '/DigitalTwin/businessManage/getTodayDeclareDetail',
      method: "post",
      data: {
        workType: 1, //作业类型，1代表危货，0代表普货
        isFinish, //是否完工，1表示完成，0未完成
        index, //分页页码
        size //分页大小
      }
  })
}

export function GetWggj() {
  return request({
      url: '/DigitalTwin/businessManage/GetWarningInfo',
      method: "post",
  })
}

export function GetQylb(companyType, id) {
  return request({
      url: '/DigitalTwin/businessManage/getCenterPortCompanyAndLandInfo',
      method: "post",
      data: {
        companyType, id
      }
  })
}

export function GetQyxx(id) {
  return request({
      url: '/DigitalTwin/businessManage/GetPortCompanyAndLandInfo/'+id,
      method: "get",
  })
}

export function GetQysb(ent) {
  return request({
      url: '/DigitalTwin/businessManage/GetPortCompanyTodayDeclareData/'+ent,
      method: "get",
  })
}

export function GetQywggj() {
  return request({
      url: '/DigitalTwin/businessManage/getUnitWarnList',
      method: "post",
  })
}

export function GetCbwgyj() {
  return request({
      url: '/DigitalTwin/businessManage/getShipWarnList',
      method: "post",
  })
}
